> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Create an IP address space

POST https://iot.telia.lt/api/v1/ip_address_space
Content-Type: application/json

Checks the requested IP address space for validity and availability, then allocates it to your organization.


Reference: https://docs.iot.telia.lt/developers/api/ip-address-spaces/ip-address-space-post

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Body (application/json)

This endpoint expects an object.

- `ip_address_space` (string, required)
- `ip_address_version` (integer, required)

## Response

### 201

Created The requested IP address space is created.

- `id` (integer, optional)
- `ip_address_space` (string, optional)
- `ip_address_version` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error_token` (string, required)
- `message` (string, required)
- `error_code` (integer, optional)
- `errors` (list of ApiV1IpAddressSpacePostResponsesContentApplicationJsonSchemaErrorsItems, optional) — sub error descriptions

### 403 Forbidden Error

Forbidden

- `error_token` (string, required)
- `message` (string, required)
- `error_code` (integer, optional)
- `errors` (list of ApiV1IpAddressSpacePostResponsesContentApplicationJsonSchemaErrorsItems, optional) — sub error descriptions

### 404 Not Found Error

Not Found

- `error_token` (string, required)
- `message` (string, required)
- `error_code` (integer, optional)
- `errors` (list of ApiV1IpAddressSpacePostResponsesContentApplicationJsonSchemaErrorsItems, optional) — sub error descriptions

### 409 Conflict Error

The requested IP address space overlaps with an existing allocated IP address space. For example, `10.176.0.0/12` and `10.176.0.0/24` or `10.188.33.16/28`.

- `error_token` (string, required)
- `message` (string, required)
- `error_code` (integer, optional)
- `errors` (list of ApiV1IpAddressSpacePostResponsesContentApplicationJsonSchemaErrorsItems, optional) — sub error descriptions

### 422 Unprocessable Entity Error

Your requested IP address space isn't allowed or overlaps with a reserved range. These responses have different root causes but share an [error code](/developers/api-guidelines/errors#list-of-error-codes) and token. Be sure to check the error message to determine the exact cause. The requested IP address space must be in one of the following ranges: * `10.192.0.0/12` * `100.64.0.0/10` * `10.112.0.0/12` * `10.176.0.0/12` It also can't overlap with a reserved range (`100.64.0.0/24`).

- `error_token` (string, required)
- `message` (string, required)
- `error_code` (integer, optional)
- `errors` (list of ApiV1IpAddressSpacePostResponsesContentApplicationJsonSchemaErrorsItems, optional) — sub error descriptions

## Types

### ApiV1IpAddressSpacePostResponsesContentApplicationJsonSchemaErrorsItems

## Examples

**Request**

```json
{
  "ip_address_space": "10.199.128.0/18",
  "ip_address_version": 4
}
```

**Response**

```json
{
  "id": 1234,
  "ip_address_space": "10.199.128.0/18",
  "ip_address_version": 4
}
```

**SDK Code**

```python Created
import requests

url = "https://iot.telia.lt/api/v1/ip_address_space"

payload = {
    "ip_address_space": "10.199.128.0/18",
    "ip_address_version": 4
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Created
const url = 'https://iot.telia.lt/api/v1/ip_address_space';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"ip_address_space":"10.199.128.0/18","ip_address_version":4}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Created
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/ip_address_space"

	payload := strings.NewReader("{\n  \"ip_address_space\": \"10.199.128.0/18\",\n  \"ip_address_version\": 4\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Created
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/ip_address_space")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ip_address_space\": \"10.199.128.0/18\",\n  \"ip_address_version\": 4\n}"

response = http.request(request)
puts response.read_body
```

```java Created
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://iot.telia.lt/api/v1/ip_address_space")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"ip_address_space\": \"10.199.128.0/18\",\n  \"ip_address_version\": 4\n}")
  .asString();
```

```php Created
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://iot.telia.lt/api/v1/ip_address_space', [
  'body' => '{
  "ip_address_space": "10.199.128.0/18",
  "ip_address_version": 4
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Created
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/ip_address_space");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ip_address_space\": \"10.199.128.0/18\",\n  \"ip_address_version\": 4\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Created
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "ip_address_space": "10.199.128.0/18",
  "ip_address_version": 4
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/ip_address_space")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```